### Property

# GtkSource View:smart-home-end

#### Declaration

    property smart-home-end: GtkSource.SmartHomeEndType [ read, write ]

#### Description [src]

Set the behavior of the HOME and END keys.

Type:`GtkSourceSmartHomeEndType`

Default value | GTK_SOURCE_SMART_HOME_END_DISABLED
Getter method | `gtk_source_view_get_smart_home_end()`
Setter method | `gtk_source_view_set_smart_home_end()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no